Class Deliver

In: | bin/experimental-filter.rb bin/rdeliver.rb
Parent: | Object

The Deliver class used by the bin/rdeliver.rb script to provide a place for the user’s delivery script to run. The user’s delivery script executes in the context of this class, so methods defined with `def` do not pollute the global namespace. The user is expected to define a #main method that will be called to deliver the mail.

See also bin/rdeliver.rb

Methods

agent agent main main

Public Instance methods

agent()

Return the RFilter::DeliveryAgent object for the current message. This is all you need to retrieve, modify, and deliver the message.

main()

This method is called by bin/filter.rb after the Deliver object is instantiated. A default implementation that merely defers the delivery is provided, but the user is expected to replace this with a version that delivers the mail to the proper location.

agent()

Return the RFilter::DeliveryAgent object for the current message. This is all you need to retrieve, modify, and deliver the message.

main()

This method is called by bin/rdeliver.rb after the Deliver object is instantiated. A default implementation that merely defers the delivery is provided, but the user is expected to replace this with a version that delivers the mail to the proper location.